{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.IBIZBOOK"
  },
  "caption" : "图书",
  "codeName" : "IBIZBOOKTestCLCalendarView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKTestCLCalendarView.json",
  "mDCtrlActiveMode" : 2,
  "name" : "IBIZBOOKTestCLCalendarView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "NEWDATA@item1",
    "realTitle" : "图书编辑视图",
    "getRealTitlePSLanguageRes" : {
      "lanResTag" : "PAGE.TITLE.IBIZBOOK.EDITVIEW"
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "EDITDATA@item1",
    "realTitle" : "图书编辑视图",
    "getRealTitlePSLanguageRes" : {
      "lanResTag" : "PAGE.TITLE.IBIZBOOK.EDITVIEW"
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZBOOKEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "getPSControls" : [ {
    "calendarStyle" : "MONTH",
    "codeName" : "IBIZBOOKMONTH",
    "controlType" : "CALENDAR",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSCALENDARS/IBIZBOOKMONTH.json",
    "groupMode" : "NONE",
    "legendPos" : "NONE",
    "logicName" : "图书管理日历（月）",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSAppViewLogics" : [ {
      "eventArg" : "deuiaction1",
      "eventNames" : "CLICK",
      "logicTrigger" : "CTRLEVENT",
      "logicType" : "APPVIEWUIACTION",
      "name" : "calendar_quicktoolbar_deuiaction1_click",
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "calendar_quicktoolbar_deuiaction1"
      },
      "getPSViewCtrlName" : "calendar_quicktoolbar"
    }, {
      "eventArg" : "deuiaction2",
      "eventNames" : "CLICK",
      "logicTrigger" : "CTRLEVENT",
      "logicType" : "APPVIEWUIACTION",
      "name" : "calendar_quicktoolbar_deuiaction2_click",
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "calendar_quicktoolbar_deuiaction2"
      },
      "getPSViewCtrlName" : "calendar_quicktoolbar"
    }, {
      "eventArg" : "deuiaction3",
      "eventNames" : "CLICK",
      "logicTrigger" : "CTRLEVENT",
      "logicType" : "APPVIEWUIACTION",
      "name" : "calendar_quicktoolbar_deuiaction3_click",
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "calendar_quicktoolbar_deuiaction3"
      },
      "getPSViewCtrlName" : "calendar_quicktoolbar"
    }, {
      "eventArg" : "deuiaction1",
      "eventNames" : "CLICK",
      "logicTrigger" : "CTRLEVENT",
      "logicType" : "APPVIEWUIACTION",
      "name" : "cm_deuiaction1_click",
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "cm_deuiaction1"
      },
      "getPSViewCtrlName" : "cm"
    }, {
      "eventArg" : "deuiaction2",
      "eventNames" : "CLICK",
      "logicTrigger" : "CTRLEVENT",
      "logicType" : "APPVIEWUIACTION",
      "name" : "cm_deuiaction2_click",
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "cm_deuiaction2"
      },
      "getPSViewCtrlName" : "cm"
    }, {
      "eventArg" : "deuiaction3",
      "eventNames" : "CLICK",
      "logicTrigger" : "CTRLEVENT",
      "logicType" : "APPVIEWUIACTION",
      "name" : "cm_deuiaction3_click",
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "cm_deuiaction3"
      },
      "getPSViewCtrlName" : "cm"
    } ],
    "getPSAppViewUIActions" : [ {
      "name" : "calendar_quicktoolbar_deuiaction1",
      "getPSUIAction" : {
        "modelref" : true,
        "id" : "Save"
      },
      "xDataControlName" : "calendar"
    }, {
      "name" : "calendar_quicktoolbar_deuiaction2",
      "getPSUIAction" : {
        "modelref" : true,
        "id" : "Edit"
      },
      "uIActionTarget" : "SINGLEKEY",
      "xDataControlName" : "calendar"
    }, {
      "name" : "calendar_quicktoolbar_deuiaction3",
      "getPSUIAction" : {
        "modelref" : true,
        "id" : "Refresh"
      },
      "uIActionTarget" : "SINGLEKEY",
      "xDataControlName" : "calendar"
    }, {
      "name" : "cm_deuiaction1",
      "getPSUIAction" : {
        "modelref" : true,
        "id" : "Save"
      },
      "xDataControlName" : "calendar"
    }, {
      "name" : "cm_deuiaction2",
      "getPSUIAction" : {
        "modelref" : true,
        "id" : "Edit"
      },
      "uIActionTarget" : "SINGLEKEY",
      "xDataControlName" : "calendar"
    }, {
      "name" : "cm_deuiaction3",
      "getPSUIAction" : {
        "modelref" : true,
        "id" : "Refresh"
      },
      "uIActionTarget" : "SINGLEKEY",
      "xDataControlName" : "calendar"
    } ],
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "calendar"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "CALENDAR"
    },
    "getPSControls" : [ {
      "codeName" : "TestCLCalendarViewcalendar_quicktoolbar",
      "controlType" : "TOOLBAR",
      "hookEventNames" : [ "CLICK" ],
      "logicName" : "日历工具栏",
      "name" : "calendar_quicktoolbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      },
      "getPSControlLogics" : [ {
        "eventArg" : "deuiaction1",
        "eventNames" : "CLICK",
        "logicTag" : "calendar_quicktoolbar",
        "logicType" : "APPVIEWLOGIC",
        "name" : "calendar_quicktoolbar_deuiaction1_click",
        "getPSAppViewLogic" : {
          "modelref" : true,
          "id" : "calendar_quicktoolbar_deuiaction1_click"
        }
      }, {
        "eventArg" : "deuiaction2",
        "eventNames" : "CLICK",
        "logicTag" : "calendar_quicktoolbar",
        "logicType" : "APPVIEWLOGIC",
        "name" : "calendar_quicktoolbar_deuiaction2_click",
        "getPSAppViewLogic" : {
          "modelref" : true,
          "id" : "calendar_quicktoolbar_deuiaction2_click"
        }
      }, {
        "eventArg" : "deuiaction3",
        "eventNames" : "CLICK",
        "logicTag" : "calendar_quicktoolbar",
        "logicType" : "APPVIEWLOGIC",
        "name" : "calendar_quicktoolbar_deuiaction3_click",
        "getPSAppViewLogic" : {
          "modelref" : true,
          "id" : "calendar_quicktoolbar_deuiaction3_click"
        }
      } ],
      "getPSControlParam" : {
        "id" : "calendar_quicktoolbar"
      },
      "getPSDEToolbarItems" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.SAVE"
        },
        "caption" : "保存",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "calendar_quicktoolbar_deuiaction1"
        },
        "getPSSysImage" : {
          "glyph" : "xf0c7@FontAwesome",
          "cssClass" : "fa fa-save"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.SAVE"
          },
          "caption" : "保存",
          "codeName" : "Save",
          "fullCodeName" : "Save",
          "name" : "编辑界面_保存操作",
          "getPSSysImage" : {
            "glyph" : "xf0c7@FontAwesome",
            "cssClass" : "fa fa-save"
          },
          "predefinedType" : "EDITVIEW_SAVEACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.SAVE"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Save",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "保存",
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.SAVE"
        },
        "showCaption" : true,
        "showIcon" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.EDIT"
        },
        "caption" : "编辑",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction2",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "calendar_quicktoolbar_deuiaction2"
        },
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "codeName" : "Edit",
          "fullCodeName" : "Edit",
          "name" : "表格界面_编辑操作",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "predefinedType" : "GRIDVIEW_EDITACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "编辑",
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.EDIT"
        },
        "showCaption" : true,
        "showIcon" : true
      }, {
        "caption" : "刷新",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction3",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "calendar_quicktoolbar_deuiaction3"
        },
        "getPSSysImage" : {
          "glyph" : "xf021@FontAwesome",
          "cssClass" : "fa fa-refresh"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "caption" : "刷新",
          "codeName" : "Refresh",
          "fullCodeName" : "Refresh",
          "name" : "编辑界面_刷新操作",
          "getPSSysImage" : {
            "glyph" : "xf021@FontAwesome",
            "cssClass" : "fa fa-refresh"
          },
          "predefinedType" : "EDITVIEW_REFRESHACTION",
          "timeout" : 60000,
          "uIActionMode" : "SYS",
          "uIActionTag" : "Refresh",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "刷新",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "modelid" : "b5f265a97376e60ddeef17447557883a",
      "modeltype" : "PSDETOOLBAR"
    }, {
      "codeName" : "TestCLCalendarViewcm",
      "controlType" : "CONTEXTMENU",
      "hookEventNames" : [ "CLICK" ],
      "logicName" : "日历工具栏",
      "name" : "cm",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      },
      "getPSControlLogics" : [ {
        "eventArg" : "deuiaction1",
        "eventNames" : "CLICK",
        "logicTag" : "cm",
        "logicType" : "APPVIEWLOGIC",
        "name" : "cm_deuiaction1_click",
        "getPSAppViewLogic" : {
          "modelref" : true,
          "id" : "cm_deuiaction1_click"
        }
      }, {
        "eventArg" : "deuiaction2",
        "eventNames" : "CLICK",
        "logicTag" : "cm",
        "logicType" : "APPVIEWLOGIC",
        "name" : "cm_deuiaction2_click",
        "getPSAppViewLogic" : {
          "modelref" : true,
          "id" : "cm_deuiaction2_click"
        }
      }, {
        "eventArg" : "deuiaction3",
        "eventNames" : "CLICK",
        "logicTag" : "cm",
        "logicType" : "APPVIEWLOGIC",
        "name" : "cm_deuiaction3_click",
        "getPSAppViewLogic" : {
          "modelref" : true,
          "id" : "cm_deuiaction3_click"
        }
      } ],
      "getPSControlParam" : {
        "id" : "cm"
      },
      "getPSDEToolbarItems" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.SAVE"
        },
        "caption" : "保存",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "cm_deuiaction1"
        },
        "getPSSysImage" : {
          "glyph" : "xf0c7@FontAwesome",
          "cssClass" : "fa fa-save"
        },
        "getPSUIAction" : {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.SAVE"
          },
          "caption" : "保存",
          "codeName" : "Save",
          "fullCodeName" : "Save",
          "name" : "编辑界面_保存操作",
          "getPSSysImage" : {
            "glyph" : "xf0c7@FontAwesome",
            "cssClass" : "fa fa-save"
          },
          "predefinedType" : "EDITVIEW_SAVEACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.SAVE"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Save",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "保存",
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.SAVE"
        },
        "showCaption" : true,
        "showIcon" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.EDIT"
        },
        "caption" : "编辑",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction2",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "cm_deuiaction2"
        },
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "codeName" : "Edit",
          "fullCodeName" : "Edit",
          "name" : "表格界面_编辑操作",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "predefinedType" : "GRIDVIEW_EDITACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "编辑",
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.EDIT"
        },
        "showCaption" : true,
        "showIcon" : true
      }, {
        "caption" : "刷新",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction3",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "cm_deuiaction3"
        },
        "getPSSysImage" : {
          "glyph" : "xf021@FontAwesome",
          "cssClass" : "fa fa-refresh"
        },
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "caption" : "刷新",
          "codeName" : "Refresh",
          "fullCodeName" : "Refresh",
          "name" : "编辑界面_刷新操作",
          "getPSSysImage" : {
            "glyph" : "xf021@FontAwesome",
            "cssClass" : "fa fa-refresh"
          },
          "predefinedType" : "EDITVIEW_REFRESHACTION",
          "timeout" : 60000,
          "uIActionMode" : "SYS",
          "uIActionTag" : "Refresh",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "刷新",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "modelid" : "b5f265a97376e60ddeef17447557883a",
      "modeltype" : "PSDETOOLBAR"
    } ],
    "getPSSysCalendarItems" : [ {
      "bKColor" : "rgba(235, 21, 21, 1)",
      "getBeginTimePSAppDEField" : {
        "name" : "LENDOUTTIME",
        "codeName" : "Lendouttime"
      },
      "color" : "rgba(13, 190, 34, 1)",
      "getEndTimePSAppDEField" : {
        "name" : "RETURNTIME",
        "codeName" : "Returntime"
      },
      "getIdPSAppDEField" : {
        "name" : "IBIZBOOKID",
        "codeName" : "IBIZBOOKId"
      },
      "itemStyle" : "DEFAULT",
      "itemType" : "item1",
      "maxSize" : -1,
      "name" : "借书日记",
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
      },
      "getPSDEContextMenu" : {
        "codeName" : "TestCLCalendarViewcm",
        "controlType" : "CONTEXTMENU",
        "hookEventNames" : [ "CLICK" ],
        "logicName" : "日历工具栏",
        "name" : "cm",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
        },
        "getPSControlLogics" : [ {
          "eventArg" : "deuiaction1",
          "eventNames" : "CLICK",
          "logicTag" : "cm",
          "logicType" : "APPVIEWLOGIC",
          "name" : "cm_deuiaction1_click",
          "getPSAppViewLogic" : {
            "modelref" : true,
            "id" : "cm_deuiaction1_click"
          }
        }, {
          "eventArg" : "deuiaction2",
          "eventNames" : "CLICK",
          "logicTag" : "cm",
          "logicType" : "APPVIEWLOGIC",
          "name" : "cm_deuiaction2_click",
          "getPSAppViewLogic" : {
            "modelref" : true,
            "id" : "cm_deuiaction2_click"
          }
        }, {
          "eventArg" : "deuiaction3",
          "eventNames" : "CLICK",
          "logicTag" : "cm",
          "logicType" : "APPVIEWLOGIC",
          "name" : "cm_deuiaction3_click",
          "getPSAppViewLogic" : {
            "modelref" : true,
            "id" : "cm_deuiaction3_click"
          }
        } ],
        "getPSControlParam" : {
          "id" : "cm"
        },
        "getPSDEToolbarItems" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.SAVE"
          },
          "caption" : "保存",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction1",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "cm_deuiaction1"
          },
          "getPSSysImage" : {
            "glyph" : "xf0c7@FontAwesome",
            "cssClass" : "fa fa-save"
          },
          "getPSUIAction" : {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.SAVE"
            },
            "caption" : "保存",
            "codeName" : "Save",
            "fullCodeName" : "Save",
            "name" : "编辑界面_保存操作",
            "getPSSysImage" : {
              "glyph" : "xf0c7@FontAwesome",
              "cssClass" : "fa fa-save"
            },
            "predefinedType" : "EDITVIEW_SAVEACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.SAVE"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Save",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "保存",
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.SAVE"
          },
          "showCaption" : true,
          "showIcon" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction2",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "cm_deuiaction2"
          },
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.EDIT"
            },
            "caption" : "编辑",
            "codeName" : "Edit",
            "fullCodeName" : "Edit",
            "name" : "表格界面_编辑操作",
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "predefinedType" : "GRIDVIEW_EDITACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.EDIT"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Edit",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "编辑",
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "刷新",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction3",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "cm_deuiaction3"
          },
          "getPSSysImage" : {
            "glyph" : "xf021@FontAwesome",
            "cssClass" : "fa fa-refresh"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "caption" : "刷新",
            "codeName" : "Refresh",
            "fullCodeName" : "Refresh",
            "name" : "编辑界面_刷新操作",
            "getPSSysImage" : {
              "glyph" : "xf021@FontAwesome",
              "cssClass" : "fa fa-refresh"
            },
            "predefinedType" : "EDITVIEW_REFRESHACTION",
            "timeout" : 60000,
            "uIActionMode" : "SYS",
            "uIActionTag" : "Refresh",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "刷新",
          "showCaption" : true,
          "showIcon" : true
        } ],
        "modelid" : "b5f265a97376e60ddeef17447557883a",
        "modeltype" : "PSDETOOLBAR"
      },
      "getTextPSAppDEField" : {
        "name" : "IBIZBOOKNAME",
        "codeName" : "IBIZBOOKName"
      },
      "enableQuickCreate" : false,
      "id" : "item1"
    } ],
    "enableGroup" : false,
    "name" : "calendar",
    "modelid" : "b086286f62a7d19632b416727140ccb6",
    "modeltype" : "PSSYSCALENDAR"
  } ],
  "getPSDEViewCodeName" : "TestCLCalendarView",
  "getPSDEViewId" : "6A5EAEDD-6828-4C58-B917-D1FA1DC676FC",
  "getPSViewLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "view_pagecaption"
    } ],
    "codeName" : "TestCLCalendarView",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "测试日历视图布局面板布局面板",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "page_container",
      "getPSLayout" : {
        "dir" : "column",
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container2",
        "getPSLayout" : {
          "align" : "space-between",
          "dir" : "row",
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "heightMode" : "FULL",
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "页面标题",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "view_pagecaption",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "view_pagecaption",
            "predefinedType" : "VIEW_PAGECAPTION",
            "renderMode" : "HEADING1",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "heightMode" : "FULL",
            "layout" : "FLEX",
            "widthMode" : "FULL"
          },
          "hidden" : false,
          "showCaption" : false
        } ]
      }, {
        "caption" : "栅格容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_grid1",
        "getPSLayout" : {
          "layout" : "SIMPLEFLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container1",
          "getPSLayout" : {
            "layout" : "SIMPLEFLEX"
          },
          "getPSLayoutPos" : {
            "grow" : 12,
            "layout" : "SIMPLEFLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "CALENDAR",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "calendar",
            "getPSLayoutPos" : {
              "grow" : -1,
              "heightMode" : "FULL",
              "layout" : "SIMPLEFLEX"
            },
            "showCaption" : true
          } ]
        } ]
      } ]
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "modelid" : "78B4846C-156B-442D-8A41-737260C57ED0",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL"
  },
  "title" : "测试日历视图布局面板",
  "viewStyle" : "DEFAULT",
  "viewType" : "DECALENDARVIEW",
  "xDataControlName" : "calendar",
  "enableDP" : true,
  "enableFilter" : false,
  "modelid" : "763A9DA0-DC92-49C9-85B7-647A36C019C9",
  "modeltype" : "PSAPPDEVIEW"
}